Какую версию Flexinode лучше использовать? для drupal 4.5.2

Аватар пользователя qman qman 5 апреля 2005 в 15:08

На сервере используется drupal 4.5.2. Какую версию Flexinode лучше использовать? Если есть версия Flexinode 4.6 (http://drupal.org/node/5737)?

P.S. Не возникнет каких либо проблем что Flexinode 4.6 рассчитан на версию drupal 4.6?

Комментарии

Аватар пользователя kiev1 kiev1 5 апреля 2005 в 15:15

ее вообще лучше переделать

первое - что-бы можно было-бы каждому типу нод присваивать не только позицию сортировки по вертикали но и примерное положение на странице по горизонтали лево/право/центр /обтекание_текстом_картинки - думаю достаточно

второе - тип данных картинка должен ложится в ноду с шириной 200px перемасштабированным а при нажатии на нем - выскакивать в popup в исходном размере.

это все сделать несложно, просто у меня руки не доходят а у тех кто ее разрабатывал - странно почему сразу не сделали правильно, ведь не ахти какой интелект для этого надо Sad

Аватар пользователя kiev1 kiev1 5 апреля 2005 в 16:41

не о темплейтах речь
речь о том что-бы иметь возможность на сайте делать много произвольных типов контентов без разных допрограммирований и минимальным движением мышкой при условии компактного и читаемого кода

Аватар пользователя qman qman 5 апреля 2005 в 16:46

Некоторые темы для drupal требуют phptemplate. Подскажи как правильно прикрутить phptemplate?

Аватар пользователя qman qman 6 апреля 2005 в 6:17

Вы как оцениваете, стоит ли использовать 4.6RC? или он еще недостаточно стабилен и лучше использовать 4.5.2?

Аватар пользователя Nick Nick 6 апреля 2005 в 10:28

Вообще говоря, 46rc уже достаточно стабилен.
Но все же, на работающем в сети сайте, лучше использовать stable.

С другой стороны, если Вы только начинаете разрабатывать сайт (локально у себя), то думаю уже можно браться за 46rc т.к. она уже довольно скоро станет релизом.

--
USU-Lug http://usu-lug.org.ru

Аватар пользователя qman qman 7 апреля 2005 в 11:15

Подскажи как ты переносишь локально разработанный сайт на хост в интернете?
1) Ты делаешь дамп локальной базы данных MySQL
2) кидаешь на ftp на хост в интернете
3) делаешь импорт БД
4) все работает?????

Аватар пользователя tango tango 6 апреля 2005 в 12:54

я уже пользую. Есть некоторые затыки с ним. Но он гораздо удобнее. Главное вовремя из CVS обновления делать. А так он уже имеет право на жизнь.

Аватар пользователя qman qman 6 апреля 2005 в 14:11

Что такое "некоторые затыки с ним"? когда нужно вовремя сделать обновления из CVS?

Аватар пользователя tango tango 6 апреля 2005 в 18:17

подключаешься к CVS и обновляешься.
http://drupal.org/node/319 там все написано.
про "затыки" - что то с кешированием было. Но я его отключил и все ок.
Имидж модуль тоже мозги парил. ща вроде все нормально.
что то еще было, не помню. все глюки устраняются при обновлении.

Аватар пользователя kiev1 kiev1 6 апреля 2005 в 18:28

какой имидж модуль пользуете под новый друпал
и еще - в новом флексиноде доделали автомасштабирование картинок или как в старом: функция есть - но нигде ее не включили?

Аватар пользователя qman qman 7 апреля 2005 в 5:46

А можете поподробнее про функцию автомасштабирования картинок, которая выключена? Как ее включить?

Аватар пользователя kiev1 kiev1 7 апреля 2005 в 12:33

не знаю
вот взялся переделывать flexinode по правильному, но все тормозится о то что не разберусь какой порядок наименования функций в модуле - надо бы какой-то хелп написать. например формочка добавления flexinode строится ее модулем а потом массив $node попадает в ее функцию сохранения - так вот не совсем понятно по каким правилам этот массив $node заполняется и как называть функции которые друпал особым образом парсит в модулях.

Аватар пользователя qman qman 7 апреля 2005 в 5:40

Хочу присоединится к предыдущему вопросу и немного по другому его задать.
1) какой имидж модуль используете под новый друпал?
2) какая внешняя программа используется для масштабирования картинок? Видел, что упоминается модуль gd, но рекомендуется использовать модуль MagicImage (если название не спутал). Что мне лучше использовать под виндой?